## tomcat9 9.0.65

=== debian/changelog ===
tomcat9 (9.0.65-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix logging for unprivileged rsyslogd (LP #1964881):
      + d/logrotate.template: use syslog:adm for log rotation so that
        rsyslog can write to the file
      + d/rsyslog/tomcat9.conf: drop "fileOwner" as it cannot be set by an
        unprivileged rsyslogd
      + d/tomcat9.postinst: adjust ownership of catalina.out so that
        rsyslogd can write to it. Also change the rotated log files for
        consistency.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 15 Aug 2022 09:06:28 -0300

tomcat9 (9.0.65-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0.65.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Aug 2022 12:56:06 +0200

tomcat9 (9.0.64-2ubuntu1) kinetic; urgency=medium

  * Fix logging for unprivileged rsyslogd (LP: #1964881):
    - d/logrotate.template: use syslog:adm for log rotation so that
      rsyslog can write to the file
    - d/rsyslog/tomcat9.conf: drop "fileOwner" as it cannot be set by an
      unprivileged rsyslogd
    - d/tomcat9.postinst: adjust ownership of catalina.out so that
      rsyslogd can write to it. Also change the rotated log files for
      consistency.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 23 Jun 2022 18:02:52 -0300
