## tomcat9 9.0.70

=== debian/changelog ===
tomcat9 (9.0.70-2) unstable; urgency=medium

  * Team upload.
  * Drop tomcat9 server packages because only one Tomcat version is supported
    per release. Only retain libtomcat9-java because of compatibility reasons
    for now. Users are strongly encouraged to switch to Tomcat 10 instead.
    (Closes: #1034824)

 -- Markus Koschany <apo@debian.org>  Sat, 27 May 2023 17:51:32 +0200

tomcat9 (9.0.70-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Dec 2022 18:50:40 +0100
