=== debian/control ===
Source: tomcat9
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 tony mancill <tmancill@debian.org>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant-optional,
 bnd (>= 5.0.1),
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit4 (>= 4.11),
 libcglib-nodep-java,
 libeasymock-java (>= 3.0),
 libeclipse-jdt-core-java (>= 3.26.0),
 libhamcrest-java (>= 1.3),
 libjaxrpc-api-java,
 libobjenesis-java,
 libtaglibs-standard-impl-java,
 libtaglibs-standard-spec-java,
 libtcnative-1 (>= 1.2.18),
 libwsdl4j-java,
 lsb-release,
 maven-repo-helper
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
Homepage: http://tomcat.apache.org

Package: libtomcat9-java
Architecture: all
Depends: libeclipse-jdt-core-java (>= 3.26.0), ${misc:Depends}
Suggests: tomcat9 (>= ${source:Version})
Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the Tomcat core classes which can be used by other
 Java applications to embed Tomcat.
