=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomcat9
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>
@@ -15,6 +16,7 @@
  libcglib-nodep-java,
  libeasymock-java (>= 3.0),
  libeclipse-jdt-core-java (>= 3.26.0),
+ libeclipse-jdt-core-compiler-batch-java,
  libhamcrest-java (>= 1.3),
  libjaxrpc-api-java,
  libobjenesis-java,
@@ -24,15 +26,14 @@
  libwsdl4j-java,
  lsb-release,
  maven-repo-helper
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/tomcat9.git
 Vcs-Browser: https://salsa.debian.org/java-team/tomcat9
 Homepage: http://tomcat.apache.org
 
 Package: libtomcat9-java
 Architecture: all
-Depends: libeclipse-jdt-core-java (>= 3.26.0), ${misc:Depends}
-Suggests: tomcat9 (>= ${source:Version})
+Depends: libeclipse-jdt-core-java (>= 3.26.0), libeclipse-jdt-core-compiler-batch-java, ${misc:Depends}
 Description: Apache Tomcat 9 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Oracle, and provides a "pure Java" HTTP web
