## tomcat9 9.0.107

=== debian/changelog ===
tomcat9 (9.0.107-0+deb11u2) bullseye-security; urgency=medium

  * Team upload.
  * Fix a regression introduced by the last upload and look for OpenJDK 17
    again. (Closes: #1114028)
  * Add a autopkgtest to detect possible OpenJDK 17 regressions. Thanks to
    Santiago Ruano Rincón for the patch.
  * Fix CVE-2025-61795: denial of service due to incorrect processing of
    multipart uploads
  * Fix CVE-2025-55754: insufficient escape of ANSI escape sequences in log
    messages
  * Fix CVE-2025-55752: path traversal vulnerability due to a bug in rewrite
    rules

 -- Markus Koschany <apo@debian.org>  Wed, 04 Feb 2026 13:13:38 +0100

tomcat9 (9.0.107-0+deb11u1) bullseye-security; urgency=high

  * Team upload.
  * New upstream version 9.0.107.
  * Fix CVE-2024-34750, CVE-2024-54677, CVE-2025-31650, CVE-2025-31651,
    CVE-2025-46701, CVE-2025-48976, CVE-2025-48988, CVE-2025-49125,
    CVE-2025-52434, CVE-2025-52520, CVE-2025-53506.
    Several security vulnerabilities have been found in Tomcat 9, a Java
    web server and servlet engine. Most notably the update improves the
    handling of HTTP/2 connections and corrects various flaws which can lead to
    uncontrolled resource consumption and a denial of service.

 -- Markus Koschany <apo@debian.org>  Mon, 21 Jul 2025 20:14:25 +0200

tomcat9 (9.0.43-2~deb11u12) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2025-24813:
    It was found that a malicious user was able to view security sensitive
    files and/or inject content into those files when writes were enabled for
    the default servlet (disabled by default) and support for partial PUT was
    enabled (default). Under certain circumstances, depending on the
    application in use, remote code execution may have been possible.

 -- Markus Koschany <apo@debian.org>  Tue, 01 Apr 2025 23:08:35 +0200

tomcat9 (9.0.43-2~deb11u11) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2024-52316:
    Unchecked Error Condition vulnerability in Apache Tomcat. If Tomcat is
    configured to use a custom Jakarta Authentication (formerly JASPIC)
    ServerAuthContext component which may throw an exception during the
    authentication process without explicitly setting an HTTP status to
    indicate failure, the authentication may not fail, allowing the user to
    bypass the authentication process. There are no known Jakarta
    Authentication components that behave in this way.
  * Fix CVE-2024-21733:
    Generation of Error Message Containing Sensitive Information vulnerability
    in Apache Tomcat.
  * Fix CVE-2024-38286:
    Apache Tomcat, under certain configurations, allows an attacker to cause an
    OutOfMemoryError by abusing the TLS handshake process.
  * Fix CVE-2024-50379:
    Time-of-check Time-of-use (TOCTOU) Race Condition vulnerability during JSP
    compilation in Apache Tomcat permits an RCE on case insensitive file
    systems when the default servlet is enabled for write (non-default
    configuration).

 -- Markus Koschany <apo@debian.org>  Wed, 15 Jan 2025 23:57:23 +0100
