=== debian/tests/control ===
Tests: detect-openjdk-17
Depends: @, openjdk-17-jre
