=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tomcat9
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  tony mancill <tmancill@debian.org>,
  Emmanuel Bourg <ebourg@apache.org>
