## tomcat9 9.0.115

=== debian/changelog ===
tomcat9 (9.0.115-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Fix SSL socket factory configuration in the JNDI realm.
  * Fix a memory leak when using a trust store with the OpenSSL provider.
  * Add strictSni attribute on the Connector to allow matching the
    SSLHostConfig configuration associated with the SNI host name
    to the SSLHostConfig configuration matched from the HTTP protocol
    host name.
    Non matching configurations will cause the request to be
    rejected. The attribute default value is true,
    enabling the matching.
  * Correct a regression introduced in 9.0.109 that broke
    some clustering configurations.
  * Update Commons Daemon to 1.5.0.
  * For configuration consistency between OpenSSL and JSSE TLS
    implementations, TLSv1.3 cipher suites included in the
    ciphers attribute of an SSLHostConfig are now always
    ignored (previously they would be ignored with OpenSSL
    implementations and used with JSSE implementations) and
    a warning is logged that the cipher suite has been ignored.
  * Expand OCSP support to JSSE based connections and
    expand OCSP configuration options.
  * Update Commons Daemon to 1.5.1.
  * Update Tomcat Native to 2.0.12 and increase the
    minimum version to 2.0.12 / 1.3.4.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Feb 2026 15:37:07 +0100
